loci.formats.in.LeicaMicrosystemsMetadata

## Class MetadataTempBuffer

- java.lang.Object
- - loci.formats.in.LeicaMicrosystemsMetadata.MetadataTempBuffer

-     public class MetadataTempBuffer
      extends java.lang.Object

  This class is used to temporarily store metadata information extracted from Leica XML before it is written to the reader's MetadataStore
  Author:
    Melissa Linkert melissa at glencoesoftware.com, Constanze Wendlandt constanze.wendlandt at leica-microsystems.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double[]` | `acquiredDate`
    `java.util.ArrayList<java.util.ArrayList<java.lang.Boolean>>` | `activeDetector`
    `boolean` | `alternateCenter`
    `java.util.List<java.util.ArrayList<ome.xml.model.primitives.Color>>` | `channelColors`
    `java.lang.String[][]` | `channelNames`
    `int[][]` | `channelPrios`
    `java.util.ArrayList<java.util.ArrayList<Channel>>` | `channels`
    `java.lang.String[]` | `corrections`
    `java.util.ArrayList<java.util.ArrayList<ome.units.quantity.Length>>` | `cutIns`
    `java.util.ArrayList<java.util.ArrayList<ome.units.quantity.Length>>` | `cutOuts`
    `java.lang.String[]` | `descriptions`
    `java.util.ArrayList<java.util.HashMap<java.lang.Integer,java.lang.String>>` | `detectorIndexes`
    `java.util.ArrayList<java.util.ArrayList<java.lang.String>>` | `detectorModels`
    `java.lang.Double[][]` | `detectorOffsets`
    `private java.util.ArrayList<java.util.ArrayList<Dimension>>` | `dimensions`
    `java.lang.Double[][]` | `expTimes`
    `java.lang.Double[][]` | `exWaves`
    `java.util.List<ome.units.quantity.Length>` | `fieldPosX`
    `java.util.List<ome.units.quantity.Length>` | `fieldPosY`
    `java.util.ArrayList<java.util.ArrayList<java.lang.String>>` | `filterModels`
    `boolean[]` | `flipX`
    `boolean[]` | `flipY`
    `java.lang.Double[][]` | `gains`
    `java.lang.String[]` | `imageNames`
    `ROI[][]` | `imageROIs`
    `java.lang.String[]` | `immersions`
    `boolean[]` | `inverseRgb`
    `java.util.ArrayList<java.util.ArrayList<java.lang.Boolean>>` | `laserActive`
    `java.util.ArrayList<java.util.ArrayList<java.lang.Boolean>>` | `laserFrap`
    `java.util.ArrayList<java.util.ArrayList<java.lang.Double>>` | `laserIntensity`
    `java.util.ArrayList<java.util.ArrayList<java.lang.Double>>` | `laserWavelength`
    `java.lang.Double[]` | `lensNA`
    `java.lang.Double[]` | `magnification`
    `java.lang.String[]` | `microscopeModels`
    `java.lang.String[]` | `objectiveModels`
    `java.util.List<java.lang.Double>` | `physicalSizeXs`
    `java.util.List<java.lang.Double>` | `physicalSizeYs`
    `java.lang.Double[]` | `pinholes`
    `ome.units.quantity.Length[]` | `posX`
    `ome.units.quantity.Length[]` | `posY`
    `ome.units.quantity.Length[]` | `posZ`
    `java.lang.Double[]` | `refractiveIndex`
    `java.lang.String[]` | `serialNumber`
    `boolean[]` | `swapXY`
    `long[]` | `tileBytesInc`
    `int[]` | `tileCount`
    `java.lang.Double[][]` | `timestamps`
    `java.lang.Double[]` | `tSteps`
    `java.lang.Double[]` | `zooms`
    `java.lang.Double[]` | `zSteps`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetadataTempBuffer(int len)` Constructs a MetadataTempBuffer for a given number of images.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChannelDimension(int coreIndex)` Adds channel dimension
    `void` | `addDimension(int imageIndex, Dimension dimension)` Inserts dimension to buffer and optionally adapts other dimension-dependent values
    `void` | `addMissingDimensions(int imageIndex)` Adds Z, T and S dimension if they haven't been added already
    `private <T> java.util.ArrayList<java.util.ArrayList<T>>` | `ArrayListOfArrayLists(int rows, java.lang.Class<T> type)`
    `private <T,S> java.util.ArrayList<java.util.HashMap<T,S>>` | `ArrayListOfHashMaps(int rows, java.lang.Class<T> key, java.lang.Class<S> value)`
    `private long` | `getChannelDimensionBytesInc(int coreIndex)`
    `Dimension` | `getDimension(int imageIndex, Dimension.DimensionKey key)`
    `java.lang.String` | `getDimensionOrder(int imageIndex)` Returns the dimension order as a string
    `java.util.ArrayList<Dimension>` | `getDimensions(int imageIndex)`
    `private void` | `sortDimensions(int coreIndex)` Sorts list of existing dimensions by increasing bytesInc, beginning with X and Y, ending with stage position

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### channelColors

          public java.util.List<java.util.ArrayList<ome.xml.model.primitives.Color>> channelColors

    - #### channelPrios

          public int[][] channelPrios

    - #### physicalSizeXs

          public java.util.List<java.lang.Double> physicalSizeXs

    - #### physicalSizeYs

          public java.util.List<java.lang.Double> physicalSizeYs

    - #### fieldPosX

          public java.util.List<ome.units.quantity.Length> fieldPosX

    - #### fieldPosY

          public java.util.List<ome.units.quantity.Length> fieldPosY

    - #### descriptions

          public java.lang.String[] descriptions

    - #### microscopeModels

          public java.lang.String[] microscopeModels

    - #### serialNumber

          public java.lang.String[] serialNumber

    - #### pinholes

          public java.lang.Double[] pinholes

    - #### zooms

          public java.lang.Double[] zooms

    - #### zSteps

          public java.lang.Double[] zSteps

    - #### tSteps

          public java.lang.Double[] tSteps

    - #### lensNA

          public java.lang.Double[] lensNA

    - #### flipX

          public boolean[] flipX

    - #### flipY

          public boolean[] flipY

    - #### swapXY

          public boolean[] swapXY

    - #### expTimes

          public java.lang.Double[][] expTimes

    - #### gains

          public java.lang.Double[][] gains

    - #### detectorOffsets

          public java.lang.Double[][] detectorOffsets

    - #### channelNames

          public java.lang.String[][] channelNames

    - #### detectorModels

          public java.util.ArrayList<java.util.ArrayList<java.lang.String>> detectorModels

    - #### exWaves

          public java.lang.Double[][] exWaves

    - #### activeDetector

          public java.util.ArrayList<java.util.ArrayList<java.lang.Boolean>> activeDetector

    - #### detectorIndexes

          public java.util.ArrayList<java.util.HashMap<java.lang.Integer,java.lang.String>> detectorIndexes

    - #### immersions

          public java.lang.String[] immersions

    - #### corrections

          public java.lang.String[] corrections

    - #### objectiveModels

          public java.lang.String[] objectiveModels

    - #### magnification

          public java.lang.Double[] magnification

    - #### posX

          public ome.units.quantity.Length[] posX

    - #### posY

          public ome.units.quantity.Length[] posY

    - #### posZ

          public ome.units.quantity.Length[] posZ

    - #### refractiveIndex

          public java.lang.Double[] refractiveIndex

    - #### cutIns

          public java.util.ArrayList<java.util.ArrayList<ome.units.quantity.Length>> cutIns

    - #### cutOuts

          public java.util.ArrayList<java.util.ArrayList<ome.units.quantity.Length>> cutOuts

    - #### filterModels

          public java.util.ArrayList<java.util.ArrayList<java.lang.String>> filterModels

    - #### timestamps

          public java.lang.Double[][] timestamps

    - #### laserIntensity

          public java.util.ArrayList<java.util.ArrayList<java.lang.Double>> laserIntensity

    - #### laserWavelength

          public java.util.ArrayList<java.util.ArrayList<java.lang.Double>> laserWavelength

    - #### laserActive

          public java.util.ArrayList<java.util.ArrayList<java.lang.Boolean>> laserActive

    - #### laserFrap

          public java.util.ArrayList<java.util.ArrayList<java.lang.Boolean>> laserFrap

    - #### imageROIs

          public ROI[][] imageROIs

    - #### alternateCenter

          public boolean alternateCenter

    - #### imageNames

          public java.lang.String[] imageNames

    - #### acquiredDate

          public double[] acquiredDate

    - #### tileCount

          public int[] tileCount

    - #### tileBytesInc

          public long[] tileBytesInc

    - #### inverseRgb

          public boolean[] inverseRgb

    - #### dimensions

          private java.util.ArrayList<java.util.ArrayList<Dimension>> dimensions

    - #### channels

          public java.util.ArrayList<java.util.ArrayList<Channel>> channels

  - ### Constructor Detail

    - #### MetadataTempBuffer

          public MetadataTempBuffer(int len)

      Constructs a MetadataTempBuffer for a given number of images.
      Parameters:
        `len` - Number of images (one per XLIF)

  - ### Method Detail

    - #### getDimension

          public Dimension getDimension(int imageIndex,
                                        Dimension.DimensionKey key)

    - #### addDimension

          public void addDimension(int imageIndex,
                                   Dimension dimension)

      Inserts dimension to buffer and optionally adapts other dimension-dependent values
      Parameters:
        `imageIndex` -
        `dimension` -

    - #### getDimensionOrder

          public java.lang.String getDimensionOrder(int imageIndex)

      Returns the dimension order as a string
      Parameters:
        `imageIndex` -
      Returns:
        dimension order string, as it is expected in CoreMetadata.dimensionOrder

    - #### sortDimensions

          private void sortDimensions(int coreIndex)

      Sorts list of existing dimensions by increasing bytesInc, beginning with X and Y, ending with stage position
      Parameters:
        `coreIndex` -

    - #### getDimensions

          public java.util.ArrayList<Dimension> getDimensions(int imageIndex)

    - #### addMissingDimensions

          public void addMissingDimensions(int imageIndex)

      Adds Z, T and S dimension if they haven't been added already
      Parameters:
        `imageIndex` -

    - #### addChannelDimension

          public void addChannelDimension(int coreIndex)

      Adds channel dimension
      Parameters:
        `coreIndex` -
        `sizeC` - total number of channels
        `bytesInc` -

    - #### getChannelDimensionBytesInc

          private long getChannelDimensionBytesInc(int coreIndex)

    - #### ArrayListOfArrayLists

          private <T> java.util.ArrayList<java.util.ArrayList<T>> ArrayListOfArrayLists(int rows,
                                                                                        java.lang.Class<T> type)

    - #### ArrayListOfHashMaps

          private <T,S> java.util.ArrayList<java.util.HashMap<T,S>> ArrayListOfHashMaps(int rows,
                                                                                        java.lang.Class<T> key,
                                                                                        java.lang.Class<S> value)

Copyright © 2026 Open Microscopy Environment